Revision wrongly flagged as "automatically checked" after edit conflict
Closed, ResolvedPublic

Description

See URL for an example.

Revision 97771495 is flagged as "automatically checked" though the previous version isn't. I think this is what happened:

  1. The base version is the version from 17:14 (CET), a flagged version.
  2. Elmar Nolte (with autoreview right) starts to edit.
  3. The IP starts to edit and saves first. The revision is not flagged.
  4. Elmar Nolte saves. The software detects an edit conflict which is resolved automatically. So no warning is shown. The FR extension still sees this edit based on the previous flagged version and flags the new revision as automatically checked.

But in fact Elmar Nolte's revision is based on the unflagged revision by the IP and should not be flagged automatically.


Version: unspecified
Severity: normal
URL: http://de.wikipedia.org/w/index.php?title=Emanuel_Semper&action=history&uselang=en

bzimport set Reference to bz33481.
Schnark created this task.Via LegacyJan 3 2012, 8:57 AM
aaron added a comment.Via ConduitJan 9 2012, 1:36 AM
aaron added a comment.Via ConduitJan 9 2012, 6:50 AM

(cur | prev) 2011-12-31T16:16:56‎ Elmar Nolte (Talk | contribs)‎ (1,701 bytes) (undo) [automatically checked]
(cur | prev) 2011-12-31T16:16:01‎ 91.39.161.225 (Talk)‎ (1,542 bytes) (kat, nd, pd) (undo)
(cur | prev) 2011-12-31T16:14:59‎ Elmar Nolte (Talk | contribs)‎ (1,162 bytes) (undo) [automatically checked]

Was Elmar editing the page for 55+ seconds for such a small change? I suppose it's possible.

Schnark added a comment.Via ConduitJan 9 2012, 8:36 AM

(In reply to comment #2)

Was Elmar editing the page for 55+ seconds for such a small change? I suppose
it's possible.

I think 55+ seconds for: starting link dialog from WikiEditor, messing around, inserting the link, clicking preview, testing the link, wondering why it doesn't work, deciding to save anyway is not very long, so definitely possible.

aaron added a comment.Via ConduitFeb 10 2012, 11:12 PM

Are there any other known instances?

Schnark added a comment.Via ConduitFeb 13 2012, 8:41 AM

(In reply to comment #4)

Are there any other known instances?

I tried to reproduce it on http://de.wikipedia.beta.wmflabs.org/w/index.php?title=Testseite&action=history, but apart from the fact that at first my login cookie get lost everything worked as expected. So I'm closing this bug for now.

Schnark added a comment.Via ConduitJul 6 2013, 7:29 AM

Reopening: This happened again in https://de.wikipedia.org/w/index.php?title=Allgemeines_b%C3%BCrgerliches_Gesetzbuch&action=history

There are three relevant edits (all times in CEST):

(1) IP at 20:42:00
(2) IP at 20:42:31
(3) Botulph at 20:42:49

Edit (3) was started after (1), but before (2), and is just a revert of edit (1) via the "undo" function. The edit conflict with edit (2) was automatically resolved, but (3) was automatically checked, though of course it shouldn't.

aaron added a comment.Via ConduitJul 6 2013, 7:33 AM

Does this require VisualEditor to reproduce?

Schnark added a comment.Via ConduitJul 6 2013, 7:48 AM

Neither edit is tagged as such, so no.

gerritbot added a comment.Via ConduitJul 6 2013, 6:51 PM

Change 72265 had a related patch set uploaded by Aaron Schulz:
Various edit conflict handling fixes

https://gerrit.wikimedia.org/r/72265

gerritbot added a comment.Via ConduitJul 16 2013, 10:41 PM

Change 72265 merged by Demon:
Various edit conflict handling fixes

https://gerrit.wikimedia.org/r/72265

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.